Export Ad Breaks
Downloads the logged ad breaks for a date range as a CSV file. Limited to 25,000 matching rows.
curl -X GET "https://api.5centscdn.com/v2/streams/push/123/adinsertion/ad-breaks/export?r=2026-01-01%2000%3A00%3A00%20-%202026-01-31%2023%3A59%3A59&crid=example_string&session_id=example_string&client_ip=example_string&os=example_string&browser=example_string&content_id=example_string&continent_geoname_id=123&country_geoname_id=123&subdivision1_geoname_id=123&subdivision2_geoname_id=123&city_geoname_id=123&break_type=pre-roll&trigger_type=example_string&fill_status=full&vast_outcome=ok" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/push/123/adinsertion/ad-breaks/export?r=2026-01-01%2000%3A00%3A00%20-%202026-01-31%2023%3A59%3A59&crid=example_string&session_id=example_string&client_ip=example_string&os=example_string&browser=example_string&content_id=example_string&continent_geoname_id=123&country_geoname_id=123&subdivision1_geoname_id=123&subdivision2_geoname_id=123&city_geoname_id=123&break_type=pre-roll&trigger_type=example_string&fill_status=full&vast_outcome=ok"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/push/123/adinsertion/ad-breaks/export?r=2026-01-01%2000%3A00%3A00%20-%202026-01-31%2023%3A59%3A59&crid=example_string&session_id=example_string&client_ip=example_string&os=example_string&browser=example_string&content_id=example_string&continent_geoname_id=123&country_geoname_id=123&subdivision1_geoname_id=123&subdivision2_geoname_id=123&city_geoname_id=123&break_type=pre-roll&trigger_type=example_string&fill_status=full&vast_outcome=ok", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/push/123/adinsertion/ad-breaks/export?r=2026-01-01%2000%3A00%3A00%20-%202026-01-31%2023%3A59%3A59&crid=example_string&session_id=example_string&client_ip=example_string&os=example_string&browser=example_string&content_id=example_string&continent_geoname_id=123&country_geoname_id=123&subdivision1_geoname_id=123&subdivision2_geoname_id=123&city_geoname_id=123&break_type=pre-roll&trigger_type=example_string&fill_status=full&vast_outcome=ok", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/push/123/adinsertion/ad-breaks/export?r=2026-01-01%2000%3A00%3A00%20-%202026-01-31%2023%3A59%3A59&crid=example_string&session_id=example_string&client_ip=example_string&os=example_string&browser=example_string&content_id=example_string&continent_geoname_id=123&country_geoname_id=123&subdivision1_geoname_id=123&subdivision2_geoname_id=123&city_geoname_id=123&break_type=pre-roll&trigger_type=example_string&fill_status=full&vast_outcome=ok')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
/streams/push/{streamid}/adinsertion/ad-breaks/exportTarget server for requests. Edit to use your own host.
API key (sent in header)
Numeric stream ID.
Date-time range: YYYY-MM-DD HH:MM:SS - YYYY-MM-DD HH:MM:SS
Filter to a specific creative ID.
Filter to a specific ad insertion playback session ID.
Filter to a specific viewer client IP. Requires the Advanced Analytics add-on.
Filter to a specific viewer operating system. Requires the Advanced Analytics add-on.
Filter to a specific viewer browser. Requires the Advanced Analytics add-on.
Filter to a specific content ID. Requires the Advanced Analytics add-on.
Filter to a specific continent geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific country geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific first-level subdivision geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific second-level subdivision geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific city geoname ID. Requires the Advanced Analytics add-on.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Numeric stream ID.
Query Parameters
Date-time range: YYYY-MM-DD HH:MM:SS - YYYY-MM-DD HH:MM:SS
2026-01-01 00:00:00 - 2026-01-31 23:59:59Filter to a specific creative ID.
Filter to a specific ad insertion playback session ID.
Filter to a specific viewer client IP. Requires the Advanced Analytics add-on.
Filter to a specific viewer operating system. Requires the Advanced Analytics add-on.
Filter to a specific viewer browser. Requires the Advanced Analytics add-on.
Filter to a specific content ID. Requires the Advanced Analytics add-on.
Filter to a specific continent geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific country geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific first-level subdivision geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific second-level subdivision geoname ID. Requires the Advanced Analytics add-on.
Filter to a specific city geoname ID. Requires the Advanced Analytics add-on.
pre-rollmid-rollfullunderfilledno_filloktimeouthttp_4xxhttp_5xxnetworkparseno_creativewrapper_exceededResponses
CSV file of matching rows.